function spmat = Fmat_mp(theta0,M,n,x)

%% Some auxiliary quantities defined in mp
ci=mp('-1i'); %imaginary -i
pi2=mp('2*pi'); %2*pi in mp

msel=mp('1');
[T1,TC,T0,RC]=swsolv_mp(theta0, msel);

    nz  = mp(cols(T1));
    
      
    
   
    RR=T0*M; %transform RR to exclude the three shocks

  
    %*************************************************/
    matB=mp(eye(nz));
  
    ZZ=matB(18:24,:); %c, i,y,l,inf,w,r
    
   
    dimy=mp('7');
    spmat=mp(zeros(dimy*n,dimy));  
 
for i=1:n;
exe=exp(ci*x(i));
ZZ(1,18)=1-exe;
ZZ(2,19)=1-exe;
ZZ(3,20)=1-exe;
ZZ(6,23)=1-exe;

nmat1=(mp(eye(nz))-T1*exe)\mp(eye(nz));
nmat2=nmat1';

spmat(((i-1)*dimy+1):(i*dimy),:)=ZZ*nmat1*(RR*RR')*nmat2*ZZ'/(pi2); %spectra at perturbed theta0

end
 
 
     
   

end