
function mchain(ObjFunction,para,cc,cc0,SIGSCALE,lb,ub,nsim,k) 
valid = 0;
npara=length(para);
cpara=npara;
while valid == 0
    paranew   = para' + cc0*(SIGSCALE*randn(npara,1));
    parabd_ind1 = paranew(1:cpara)>=lb(1:cpara);
    parabd_ind2 = paranew(1:cpara)<=ub(1:cpara);
    if (min(parabd_ind1) == 1) & (min(parabd_ind2) == 1)
       postnew  =  ObjFunction(paranew');
    else
       postnew = -1E20;
      
    end
   if postnew > -10000
      valid = 1;
   end

end   


iblock = 1;
   parasim = zeros(nsim,npara);
   %likesim = zeros(nsim,1);
   postsim = zeros(nsim,1);
   rej     = zeros(nsim,1);
   %propsim = zeros(nsim,1);
   proppostsim = zeros(nsim,1);
      j = 2;
      %likesim(1,1) = likenew;
      postsim(1,1) = postnew;
     % propsim(1,1) = propdens;
      proppostsim(1,1) = postnew;
      parasim(1,:) = paranew';
      postold      = postnew;
      %likeold      = likenew;
      paraold      = paranew;     
        

   while j <= nsim

     paranew = paraold + cc*(SIGSCALE*randn(npara,1));
                                                                  
    parabd_ind1 = paranew(1:cpara)>=lb(1:cpara);
    parabd_ind2 = paranew(1:cpara)<=ub(1:cpara);
    if (min(parabd_ind1) == 1) & (min(parabd_ind2) == 1)
       postnew  =  ObjFunction(paranew');
    else
       postnew = -1E200;
      
    end
     
     proppostsim(j,1) = postnew;
     

     r = min([1; exp(postnew - postold)]);
     
    
     if rand(1,1) < r
       %/* Accept proposed jump
       %*/
       postsim(j,1) = postnew;
       %likesim(j,1) = likenew;
       parasim(j,:) = paranew';
       paraold = paranew;
       postold = postnew;
       %likeold = likenew;
     else
       %/* Reject proposed jump
       %*/
       %likesim(j,1) = likeold;
       postsim(j,1) = postold;
       parasim(j,:) = paraold';
       rej(j) = 1;
     end
     %j
     if round(j/10000)==j/10000
         display(['sampling progress: ', 'chain ',num2str(k),' iterations ',num2str(j)]);
     end
     j=j+1;
   end
   
   fname=sprintf('parasim%d',k);
  
 
   display ('Rejection: r / rej / perct');
   display (sum(rej)/nsim);
   
  
  save (fname,'parasim');
end 



