%The program computes the covariance matrix of the score at the quasi posterior mode
%It is used later as the scaling matrix to generate MCMC draws.
%%% 07/22/2016
%% The total runtime is about 2 minutes on a Xeon E5-2665 8-core 2.4Ghz processor, using Matlab R2015a. 


clear;

load('postmod5.mat');
para=postmod5;
npara=length(para);

score = score_5(para);

Imat5=score;

save Imat5 Imat5;


HHm   = score;

rankHHM=npara;


% Create Inverse by Singular Value Decomposition
%
[u , s, v] = svd(HHm);
invHHMdet = 1;
for i=1:npara
   if i > rankHHM
      s(i,i) = 0;
   else
      s(i,i)    = 1/s(i,i);
      invHHMdet = invHHMdet*s(i,i);
   end
end
invHHM  = u*s*u';
fhmult5 = u*sqrt(s);

save fhmult5 fhmult5;



