%% takes about 1 minute
load postmod5;
theta=postmod5;
theta0=[theta(1),0,theta(2:18),0,theta(19:22),0,theta(23),0,theta(24:27),0,theta(28:31)];


ord=[4:24,3,25,2,1,26:36];
display('-- Mode:-----');
theta0(ord)

load parasim5;
theta=mean(parasim5);
theta0=[theta(1),0,theta(2:18),0,theta(19:22),0,theta(23),0,theta(24:27),0,theta(28:31)];
ord=[4:24,3,25,2,1,26:36];
display('-- Mean:-----');
theta0(ord)

load mcmcind;
theta=mcmcind(1,:);
thetal0=[theta(1),0,theta(2:18),0,theta(19:22),0,theta(23),0,theta(24:27),0,theta(28:31)];
theta=mcmcind(2,:);
thetau0=[theta(1),0,theta(2:18),0,theta(19:22),0,theta(23),0,theta(24:27),0,theta(28:31)];
display('-- MCMC Interval:-----');
[thetal0(ord);thetau0(ord)]

load asyind;
theta=asyind(1,:);
thetal0=[theta(1),0,theta(2:18),0,theta(19:22),0,theta(23),0,theta(24:27),0,theta(28:31)];
theta=mcmcind(2,:);
thetau0=[theta(1),0,theta(2:18),0,theta(19:22),0,theta(23),0,theta(24:27),0,theta(28:31)];
display('-- Asymptotic Interval:-----');
[thetal0(ord);thetau0(ord)]

