
function py=prediction(TT,RR,DD0,ZZ0,Ydata,seli,M)

YY=Ydata(:,seli);
ZZ=ZZ0(seli,:);
DD=DD0(seli);

%npara  = rows(para);

nobs      = rows(YY);

obsmean   = zeros(nobs,cols(YY));
obsvar    = zeros(nobs,cols(YY));

nstate = cols(TT);

HH = zeros(cols(YY),cols(YY));

QQ=eye(cols(RR));

RR=RR*M;

VV = zeros(cols(RR),cols(YY));

% We can now define the initial mean and variance for the state vector

At = zeros(nstate,1);
Pt = dlyap2(TT,RR*QQ*RR');

% compute likelihood with Kalman filter

for t=1:nobs
   At1 = At;
   Pt1 = Pt;

   % Forecasting
   
   alphahat = TT*At1;
   if t==1;
        Phat=10*eye(nstate);
   else 
   Phat = TT*Pt1*TT' + RR*QQ*RR';
   end

   yhat = ZZ*alphahat + DD;
 
   nu   = YY(t,:) - yhat';
   
   Ft   = ZZ*Phat*ZZ' + HH + ZZ*RR*VV + (ZZ*RR*VV)';
   Ft   = 0.5*(Ft + Ft');
   
   %forecast error variance must be non-negative, otherwise must be
   %numerical issue.
   if det(Ft)<0
       py=-1e10;
       
       return
   end
   
  
   
 
    At = alphahat + (Phat*ZZ' + RR*VV)*(Ft\nu');
   Pt = Phat - (Phat*ZZ'+RR*VV)*(Ft\(Phat*ZZ'+RR*VV)');

   obsmean(t,:) = yhat';
   obsvar(t,:)  = diag(Ft)';
end 
%after reaching the end of the sample, then:
  
py=zeros(12,length(DD));
   % Forecasting
   alphahat=TT*At;
  for j=1:12
     py(j,:)= ZZ*alphahat+DD;
      alphahat=TT*alphahat;
  end
  
 
   
end