function score = score_4_s1(para)

%load('postmod_ok5.mat'); 
load sw07measurementdata
stobs=71; %starting at the same data as SW
YY=sw07dat(stobs:end,:); %remove pre-1960 data

%para=postmod_ok5;
dims=size(YY);
%[1/tau rstar kappa psi1 psi2 rhoR rhog rhoz sigR sigg sigz, rhogz, pistar]';
theta0=[para(1),0,0,para(2:17),0,para(18:20),0,0,para(21),0,para(22:24),0,0,para(25:28)];
    

%% solve the model
[T0,TT,RR,DD,ZZ] = scr_prep(theta0);
  nep = cols(T0);
    M=eye(nep);
    M(2,2)=0;
    M(6,6)=0;
    M(7,7)=0;
    %;
    

    Ind=[1,2,3,4,5,6,7];
    L=0;
    lvec0=0;
    for i=1:2;%rows(vsel);
        %seli=vsel(i,:);
        if i==1
         seli=[2,3,5,7];
        elseif i==2
         seli=[1,4,6];
        
        end
        %loglh=evalsw_s(TT,RR,DD,ZZ,YY,seli);
        [lvec,loglh]=evalsw_s(TT,RR,DD,ZZ,YY,seli,M);
        
        %display(i);
        %display(seli);
        %display (loglh);
        lvec0=lvec0+lvec;
    end

nloglh=zeros(rows(lvec),28);    
    
j=1;
for j=1:28
npara=para;
npara(j)=para(j)+para(j)*1e-6;
theta0=[npara(1),0,0,npara(2:17),0,npara(18:20),0,0,npara(21),0,npara(22:24),0,0,npara(25:28)];
[T0,TT,RR,DD,ZZ] = scr_prep(theta0);   
nlvec=0;
    for i=1:2;%rows(vsel);
        %seli=vsel(i,:);
        if i==1
         seli=[2,3,5,7];
        elseif i==2
         seli=[1,4,6];
        
        
        end
     
        [lvec,loglh]=evalsw_s(TT,RR,DD,ZZ,YY,seli,M);
        
       
        nlvec=nlvec+lvec;
    end    

nloglh(:,j)=(nlvec-lvec0)/(para(j)*1e-6);
     
end

%S=nloglh'*nloglh;

score=cov(nloglh)*dims(1);
%score4_max=score;

end


