%computes the marginal composite likelihood (not composite marginal
%likelihood)
clear;
load parasim5s2;
parasim=parasim5s2;

%lb=[0.010;0.010;0.010;0.010;0.010;2;0.250;0.0010;1;0.010;0.30;0.010;0.50;0.250;1.00;0.0010;0.0010;0.50;0.010;0.010;0.010;0.010;0.010;0.010;0.0010;0.010;0.0250;0.010;0.010;0.010;0.010;0.010;0.10;0.010;0.10;-10];
%ub=[2;0.990;0.990;1;1;15;3;0.99000;3;0.99000;0.95000;0.99000;0.95000;10;3;0.50000;0.50000;0.97500;0.990;0.990;0.990;0.990;0.990;0.990;0.990;3;5;3;3;3;3;3;0.80000;2;2;10];
%lb(11)=0.5;
%lb(13)=0.1;
ind=[1,3:19,21:24,26,28:31,33:36];
%lb=lb(ind)';
%ub=ub(ind)';

mpara=mean(parasim,1);
dpara=parasim;
parfor k=1:rows(parasim)    
dpara(k,:)=parasim(k,:)-mpara;
end

hess=dpara'*dpara/rows(parasim);
invhess=hess\eye(rows(hess));
nv=length(ind);
nsim=rows(parasim);
%nsim=1000;
tau9=0.9;
tau7=0.7;
tau5=0.5;
tau1=0.1;
cut9=chi2inv(tau9,nv);
cut7=chi2inv(tau7,nv);
cut5=chi2inv(tau5,nv);
cut1=chi2inv(tau1,nv);
pp=zeros(nsim,1);
part1=pp;
f9=pp;
f7=pp;
f5=pp;
f1=pp;
dn=pp;
pp7=pp;
pp5=pp;
pp9=pp;
pp1=pp;
cer=post_sw_5s2(mpara);

parfor k=1:nsim
    part1(k)=(parasim(k,:)-mpara)*invhess*(parasim(k,:)-mpara)';
    dhess=(det(hess))^(-1/2);
    f9(k)=(1/cut9)*((2*pi)^(-nv/2))*dhess*exp(-part1(k)/2)*(part1(k)<cut9);
    f7(k)=(1/cut7)*((2*pi)^(-nv/2))*dhess*exp(-part1(k)/2)*(part1(k)<cut7);
    f5(k)=(1/cut5)*((2*pi)^(-nv/2))*dhess*exp(-part1(k)/2)*(part1(k)<cut5);
    f1(k)=(1/cut1)*((2*pi)^(-nv/2))*dhess*exp(-part1(k)/2)*(part1(k)<cut1);
    dn(k)=post_sw_5s2(parasim(k,:))-cer;
    pp9(k)=f9(k)/exp(dn(k));
    pp7(k)=f7(k)/exp(dn(k));
    pp5(k)=f5(k)/exp(dn(k));
    pp1(k)=f1(k)/exp(dn(k));
end

p9=1/mean(pp9);
p5=1/mean(pp5);
p7=1/mean(pp7);
p1=1/mean(pp1);
fp9=cer+log(p9); %-1.0576e+03
fp7=cer+log(p7); % -1.0552e+03
fp5=cer+log(p5); %-1.0553e+03
fp1=cer+log(p1); %-1.0520e+03

mg5s2=[fp9,fp7,fp5,fp1]
save mg5s2 mg5s2;

