%%% Computes the mcmc and asymptotic intervals using the draws
%% The computational time is about 2 minutes.
clear;
load parasim7;
parasim=parasim7;

load postmod7;


lb=[0.010;0.010;0.010;0.010;0.010;2;0.250;0.0010;1;0.010;0.30;0.010;0.50;0.250;1.00;0.0010;0.0010;0.50;0.010;0.010;0.010;0.010;0.010;0.010;0.0010;0.010;0.0250;0.010;0.010;0.010;0.010;0.010;0.10;0.010;0.10;-10];
ub=[2;0.9999;0.9999;1;1;15;3;0.99000;3;0.99000;0.95000;0.99000;0.95000;10;3;0.50000;0.50000;0.97500;0.9999;0.9999;0.9999;0.9999;0.9999;0.9999;0.9999;3;5;3;3;3;3;3;0.80000;2;2;10];
lb(13)=0.1; 

ndraw=rows(parasim);
mpara=mean(parasim,1);
clevel=0.95;
cv1=floor(ndraw*(1-clevel));
cv2=floor(ndraw*clevel);
spara=parasim;
for j=1:36
   tempv=sort(parasim(:,j)); 
   spara(:,j)=tempv;
end


mcmcind=[spara(cv1,:);spara(cv2,:)];
display(mcmcind');
save mcmcind mcmcind;



dpara=spara;
for j=1:rows(parasim)
    
dpara(j,:)=parasim(j,:)-mpara;
end


%load hessian;
score = score_7(postmod7);

invhess=dpara'*dpara/rows(dpara);
[v,d] = svd(invhess);
d=inv(d);
H12 = v*sqrt(d)*v';
[v,d] = svd(score);
S12 = v*sqrt(d)*v';
newpara=invhess*S12*H12*dpara';
newpara=newpara';
center=mpara(ones(ndraw,1),:);
draw1=newpara+center;

for j=1:36
   tempv=sort(newpara(:,j)); 
   spara(:,j)=tempv;
end

asyind=[max(spara(cv1,:)+mpara,lb');min(spara(cv2,:)+mpara,ub')];
display(asyind');
save asyind asyind;

%sand=invhess*score*invhess;
%dsand=sqrt(diag(sand));
%display ([max(mpara-1.645*dsand',lb');min(mpara+1.645*dsand',ub')]');
draw7=draw1;  
save draw7 draw7;    
