
%The program computes the covariance matrix of the score at the quasi posterior mode
%It is used later as the scaling matrix to generate MCMC draws.
%%% 07/21/2016
%% The total runtime is about 2 minutes on a Xeon E5-2665 8-core 2.4Ghz processor, using Matlab R2015a. 

clear;

load('postmod4s1.mat');
para=postmod4s1;
npara=length(para);

score = score_4s1(para);

Imat4s1=score;

save Imat4s1 Imat4s1


HHm   = score;

rankHHM=npara;


% Create Inverse by Singular Value Decomposition
%
[u , s, v] = svd(HHm);
invHHMdet = 1;
for i=1:npara
   if i > rankHHM
      s(i,i) = 0;
   else
      s(i,i)    = 1/s(i,i);
      invHHMdet = invHHMdet*s(i,i);
   end
end
invHHM  = u*s*u';
fhmult4s1 = u*sqrt(s);

save fhmult4s1 fhmult4s1;



