function score = score_3(para)

%load('postmod3.mat'); 
load datax;
x0=datax; 
%para=postmod3;
dims=size(x0);
%[1/tau rstar kappa psi1 psi2 rhoR rhog rhoz sigR sigg sigz, rhogz, pistar]';
f_para=para;

%% solve the model

[TT,TC,TEPS,TETA,RC] = lubiksolv(f_para);
if isempty(TT)
    disp('empty solution: nonexistence/numerical issue') 
    score=-1E10;
    return
end
M=[1,0,0;0,1,0;0,0,1];



sel1=[1,0,0;0,1,0;0,0,1];

[lvec1,loglh1,retcode,obsmean,obsvar]=evalcgg_s(TT,TC,TEPS,TETA,RC,f_para,x0,sel1,M);


lvec=lvec1;
     
nloglh=zeros(rows(lvec),13);
j=1;
for j=1:13
npara=para;
npara(j)=para(j)+para(j)*1e-6;
nf_para=npara;
[TT,TC,TEPS,TETA,RC] = lubiksolv(nf_para);
if isempty(TT)
    disp('empty solution: nonexistence/numerical issue') 
    score=-1E10;
    return
end
[lvec1,loglh1,retcode,obsmean,obsvar]=evalcgg_s(TT,TC,TEPS,TETA,RC,nf_para,x0,sel1,M);

nlvec=lvec1;
nloglh(:,j)=(nlvec-lvec)/(para(j)*1e-6);
     
end

%S=nloglh'*nloglh;

score=cov(nloglh)*dims(1);
score3=score;
save score3 score3;
end


